Skip to content
Developer Docs

Flow details​

GET
/flow/v1/flows/{flowUuid}

Retrieves the complete detail of a flow. Used for traceability and synchronization with external systems such as ERP systems.

Includes the aggregated status, applied configuration, labels and summaries of the payment and signature operations.

Autorizaciones​

OAuth2

OAuth2 security scheme

clientCredentials Flow
URL del token"/idp/oauth2/token"
Ámbitos:
  • "api"Access to the API

Parámetros​

Header Parameters

x-tenant-id*

UUID of the organisation that owns the flow

Tipo
string
Requerido
Formato
"uuid"

Path Parameters

flowUuid*

UUID of the flow to retrieve

Tipo
string
Requerido
Formato
"uuid"

Respuestas​

Details of the flow and its operations

application/json
JSON
{
  
"uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  
"status": "IN_PROGRESS",
  
"externalId": "FLOW-2025-9911",
  
"countryCode": "ES",
  
"languageCode": "es",
  
"additionalLanguageCode": "en",
  
"channel": "API",
  
"createdAt": "2025-10-15T09:10:00Z",
  
"labels": [
  
  
{
  
  
  
"name": "product",
  
  
  
"value": "pagafactu"
  
  
}
  
],
  
"paymentOperations": [
  
  
{
  
  
  
"uuid": "c1ab3a78-8d0a-4f05-b51d-219a28f50111",
  
  
  
"externalId": "OP-12345",
  
  
  
"status": "OPENED",
  
  
  
"statusUpdatedAt": "2025-10-16T11:10:00Z",
  
  
  
"expiresAt": "2025-10-22T00:00:00Z",
  
  
  
"amount": 1999,
  
  
  
"currency": "EUR"
  
  
}
  
],
  
"signatureOperations": [
  
  
{
  
  
  
"uuid": "91a23f12-5089-4d38-af11-bea213f44077",
  
  
  
"externalId": "OP-12345",
  
  
  
"status": "CREATED",
  
  
  
"statusUpdatedAt": "2025-10-16T11:10:00Z",
  
  
  
"expiresAt": "2025-10-16T11:10:00Z"
  
  
}
  
],
  
"collaborator": {
  
  
"uuid": "f7c1a2b3-4d5e-6f70-8192-a3b4c5d6e7f8",
  
  
"legalName": "Gestoria Perez SL"
  
}
}

Playground​

Servidor
Autorización
Headers
Variables
Key
Value

Ejemplos​